TokyoTyrant::sync
TokyoTyrant::vanish
TokyoTyrant
PHP Manual

# TokyoTyrant::tune

(PECL tokyo_tyrant >= 0.2.0)

TokyoTyrant::tune — Tunes connection values

### Description

public TokyoTyrant TokyoTyrant::tune ( float `$timeout` [, int `$options` = TokyoTyrant::RDBT_RECON ] )

Tunes database connection options.

### Parameters

`timeout`

  The objects timeout value (default: 5.0)

`options`

  Bitmask of options to tune. This can be either 0 or `TokyoTyrant::RDBT_RECON`. It is recommended not to change the second parameter.

### Return Values

This method returns a reference to the current object and throws TokyoTyrantException on failure.

TokyoTyrant::sync
TokyoTyrant::vanish
TokyoTyrant
PHP Manual